Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 13108)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 13124)
@@ -323,5 +323,4 @@
         """ Define what happens after school fee payment
         depending on the student's senate verdict.
-
         In the base configuration current level is always increased
         by 100 no matter which verdict has been assigned.
@@ -334,6 +333,5 @@
         """ Define what happens after school fee payment
         depending on the student's senate verdict.
-
-        This method folllows the same algorithm as getReturningData but
+        This method folllows the same algorithm as `getReturningData` but
         it also sets the new values.
         """
@@ -376,5 +374,5 @@
     def setPaymentDetails(self, category, student,
             previous_session, previous_level):
-        """Create a payment ticket object and set the payment data of a
+        """Create a payment ticket and set the payment data of a
         student for the payment category specified.
         """
@@ -491,6 +489,6 @@
     def setBalanceDetails(self, category, student,
             balance_session, balance_level, balance_amount):
-        """Create Payment object and set the payment data of a student for.
-
+        """Create a balance payment ticket and set the payment data
+        as selected by the student.
         """
         p_item = u'Balance'
@@ -519,8 +517,7 @@
     def increaseMatricInteger(self, student):
         """Increase counter for matric numbers.
-
         This counter can be a centrally stored attribute or an attribute of 
         faculties, departments or certificates. In the base package the counter
-        is as an attribute of the site configuration object.
+        is as an attribute of the site configuration container.
         """
         grok.getSite()['configuration'].next_matric_integer += 1
@@ -530,7 +527,6 @@
         """Fetch the matric number counter which fits the student and
         construct the new matric number of the student.
-
         In the base package the counter is returned which is as an attribute
-        of the site configuration object.
+        of the site configuration container.
         """
         next_integer = grok.getSite()['configuration'].next_matric_integer
@@ -540,9 +536,8 @@
 
     def setMatricNumber(self, student):
-        """Set matriculation number of student.
-
-        If the student's matric number is unset a new matric number is
+        """Set matriculation number of student. If the student's matric number
+        is unset a new matric number is
         constructed according to the matriculation number construction rules
-        defined in the constructMatricNumber method. The new matric number is 
+        defined in the `constructMatricNumber` method. The new matric number is
         set, the students catalog updated. The corresponding matric number
         counter is increased by one.
@@ -550,5 +545,5 @@
         This method is tested but not used in the base package. It can
         be used in custom packages by adding respective views
-        and by customizing increaseMatricInteger and constructMatricNumber
+        and by customizing `increaseMatricInteger` and `constructMatricNumber`
         according to the university's matriculation number construction rules.
 
@@ -607,5 +602,4 @@
     def selectBed(self, available_beds):
         """Select a bed from a list of available beds.
-
         In the base configuration we select the first bed found,
         but can also randomize the selection if we like.
@@ -680,5 +674,4 @@
     def getPDFCreator(self, context):
         """Get a pdf creator suitable for `context`.
-
         The default implementation always returns the default creator.
         """
@@ -800,5 +793,5 @@
                   omit_fields=(),
                   tableheader=None):
-        """Render pdf slips for transcript.
+        """Render pdf slips for transcripts.
         """
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
@@ -905,7 +898,6 @@
     def maxCredits(self, studylevel):
         """Return maximum credits.
-
-        In some universities maximum credits is not constant, it
-        depends on the student's study level. Set maxCredits None or 0
+        At some universities maximum credits is not constant, it
+        depends on the student's study level. Set `maxCredits` None or 0
         in order to deactivate the limitation.
         """
@@ -921,6 +913,5 @@
     def getBedCoordinates(self, bedticket):
         """Return bed coordinates.
-
-        This method can be used to customize the display_coordinates
+        This method can be used to customize the `display_coordinates`
         property method.
         """
